"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var $=Object.create;var T=Object.defineProperty;var C=Object.getOwnPropertyDescriptor;var M=Object.getOwnPropertyNames;var D=Object.getPrototypeOf,A=Object.prototype.hasOwnProperty;var P=(o,s)=>()=>(s||o((s={exports:{}}).exports,s),s.exports);var B=(o,s,t,r)=>{if(s&&typeof s=="object"||typeof s=="function")for(let n of M(s))!A.call(o,n)&&n!==t&&T(o,n,{get:()=>s[n],enumerable:!(r=C(s,n))||r.enumerable});return o};var E=(o,s,t)=>(t=o!=null?$(D(o)):{},B(s||!o||!o.__esModule?T(t,"default",{value:o,enumerable:!0}):t,o));var y=(o,s,t)=>new Promise((r,n)=>{var _=c=>{try{l(t.next(c))}catch(u){n(u)}},i=c=>{try{l(t.throw(c))}catch(u){n(u)}},l=c=>c.done?r(c.value):Promise.resolve(c.value).then(_,i);l((t=t.apply(o,s)).next())});var w=P((j,L)=>{L.exports=Vue});var f=E(w());var W="onLoad",F="onReady";var H="onPullDownRefresh";function h(o,s,...t){uni.__log__?uni.__log__(o,s,...t):console[o].apply(console,[...t,s])}var S=o=>(s,t=(0,f.getCurrentInstance)())=>{!f.isInSSRComponentSetup&&(0,f.injectHook)(o,s,t)};var O=S(W),R=S(F);var k=S(H);var b=(o,s)=>{let t=o.__vccOpts||o;for(let[r,n]of s)t[r]=n;return t},K="https://joker.qianyou717.com/im";var z=K+"/upload";var v="/Interactive/reminder/clear-record";var N="/system/message/list";var e=E(w());function I(o){let s=Math.floor(Date.now()/1e3),t=s-o,r=60,n=60<<6,_=24<<11,i=new Date(o*1e3),l=i.getFullYear(),c=i.getMonth()+1,u=i.getDate(),p=i.getHours(),g=i.getMinutes(),a=d=>d<10?`0${d}`:d;if(t<_&&s>=o)return t<r?`${t}\u79D2\u524D`:t<n?`${t>>6}\u5206\u949F\u524D`:`${t>>11}\u5C0F\u65F6\u524D`;if(t>=_&&t<1.5<<11)return`\u6628\u5929 ${a(p)}:${a(g)}`;if(t>=2<<11){let d=new Date(s*1e3).getFullYear();return l!==d?`${l}-${c}-${u} ${a(p)}:${a(g)}`:`${c}-${u} ${a(p)}:${a(g)}`}else return"1\u5929\u524D"}var U={wrap:{"":{paddingTop:0,paddingRight:"32rpx",paddingBottom:0,paddingLeft:"32rpx",backgroundColor:"rgba(244,244,244,1)",height:100,flex:1}},content:{"":{backgroundColor:"#ffffff",borderRadius:"8rpx",marginTop:"32rpx"}},"content-top":{"":{paddingTop:"32rpx",paddingRight:"32rpx",paddingBottom:"32rpx",paddingLeft:"32rpx",display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"space-between",borderBottomWidth:1,borderBottomStyle:"solid",borderBottomColor:"rgba(238,238,238,1)"}},"content-main":{"":{paddingTop:"32rpx",paddingRight:"32rpx",paddingBottom:"32rpx",paddingLeft:"32rpx"}},btn:{"":{marginTop:"16rpx",width:"160rpx",height:"52rpx",position:"relative"}},flex:{"":{display:"flex",flexDirection:"row",justifyContent:"flex-end"}},text:{"":{position:"absolute",left:"32rpx",top:"8rpx"}}},Y={__name:"system-msg",setup(o){let s=uni.getSystemInfoSync();s.windowWidth;let t=s.windowHeight,r=()=>{i.value||u()},n=1,_=10,i=!1,l=(0,e.ref)([]);c();function c(){return y(this,null,function*(){(yield uni.$ajax.get(v,{uid:uni.getStorageSync("userInfo").id,type:"system"})).data.code==200})}k(()=>{i.value=!1,n=1,u()});function u(){return y(this,null,function*(){let p=yield uni.$ajax.get(N,{pageNum:n,pageSize:_,uid:uni.getStorageSync("userInfo").id});if(p.data.code==200){uni.stopPullDownRefresh();let g=p.data.data;g.pages>n?n++:i=!0,l.value=l.value.concat(g.list)}else uni.showToast({title:p.data.message,icon:"none"})})}return O(()=>{h("log","at pages/tidings/page/system-msg/system-msg.nvue:104","onLoad"),u()}),R(()=>{h("log","at pages/tidings/page/system-msg/system-msg.nvue:109","onReady")}),(p,g)=>((0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{class:"wrap",onScrolltolower:r,scrollY:!0,style:(0,e.normalizeStyle)({height:(0,e.unref)(t)+"px"})},[((0,e.openBlock)(!0),(0,e.createElementBlock)(e.Fragment,null,(0,e.renderList)(l.value,(a,d)=>((0,e.openBlock)(),(0,e.createElementBlock)("view",{class:"content"},[(0,e.createElementVNode)("view",{class:"content-top"},[(0,e.createElementVNode)("view",{class:"flex"},[(0,e.createElementVNode)("u-image",{src:"/static/tidings/system-icon.png",style:{width:"40rpx"},mode:"widthFix"}),(0,e.createElementVNode)("u-text",{style:{"margin-left":"10rpx","font-size":"28rpx"}},(0,e.toDisplayString)(a.eventTitle),1)]),(0,e.createElementVNode)("u-text",{style:{"font-size":"24rpx"}},(0,e.toDisplayString)((0,e.unref)(I)(a.createTime)),1)]),(0,e.createElementVNode)("view",{class:"content-main"},[(0,e.createElementVNode)("view",{class:""},[(0,e.createElementVNode)("u-text",{style:{"font-size":"28rpx"}},(0,e.toDisplayString)(a.eventTarget),1)]),a.eventType?((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:0,style:{"margin-top":"15rpx"}},[(0,e.createElementVNode)("u-text",{style:{"font-size":"28rpx"}},(0,e.toDisplayString)(a.eventType),1)])):(0,e.createCommentVNode)("",!0),(0,e.createElementVNode)("view",{class:"",style:{"margin-top":"15rpx"}},[(0,e.createElementVNode)("u-text",{style:{"font-size":"28rpx"}},(0,e.toDisplayString)(a.eventOutcome),1)]),(0,e.createElementVNode)("view",{class:"",style:{"margin-top":"15rpx"}},[(0,e.createElementVNode)("u-text",{style:{"font-size":"28rpx"}},(0,e.toDisplayString)(a.penaltyOutcome),1)])])]))),256))],36))}},m=b(Y,[["styles",[U]]]);var x=plus.webview.currentWebview();if(x){let o=parseInt(x.id),s="pages/tidings/page/system-msg/system-msg",t={};try{t=JSON.parse(x.__query__)}catch(n){}m.mpType="page";let r=Vue.createPageApp(m,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:s,__pageQuery:t});r.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...m.styles||[]])),r.mount("#root")}})();
